:root {
  --background-most: black;
  --background-player: #070707;
  --background-subm2: #070707;
  --background-subm1: #151515;
  --background-subm05: #1A1A1A;
  --background-root: #1F1F1F;
  --background-subp1: #262626;
  --background-subp2: #30333B;
  --background-subp3: #41444C;
  --background-ccomplementary: #FFFFFF;

  --transparent: transparent;

  --element-default: #FFFFFF;
  --element-subp1: #DBDBDB;
  --element-subp1h: #D1D0D0;
  --element-subp15: #8e8e93;
  --element-subp2: #8FA5B5;
  --element-main: #22B4A5;
  --element-sub: #13978a;
  --element-input: #91959F;
  --element-link: #52F2D5;
  --element-link-light: #a5fded;
  --element-error: #FF190C;
  --element-causion: #ff555e;
  --element-connecting: #52F2D5;
  --element-url: #3C77E5;
  --element-highlight: rgba(244, 183, 65, 0.3);
  --element-disabled: #676C7B;

  --mention-member-background-color: rgba(34, 180, 165, 0.4);
  --mention-member-color: #52F2D5;
  --mention-your-background-color: rgba(244, 183, 65, 0.4);
  --mention-your-color: #F4B741;
  --mention-room-background-color: rgba(60, 119, 229, 0.4);
  --mention-room-color: #56A9D8;

  --search-bar-background-color: transparent;
  --search-bar-placeholder-color: #8e8e93;
  --search-bar-textInputBackground: #30333B;
  --search-bar-text-color: #ffffff;
  --search-bar-selection-color: #2979ff;
  --search-bar-clearIcon-color: #c7c7cc;
  --search-bar-searchIcon-color: #8e8e93;
  --search-bar-textButton-color: #ffffff;

  --skeleton-bone-color: #121212;
  --skeleton-highlight-color: #333333;
}

.theme[data-theme='light'] {
  --background-most: black;
  --background-player: #070707;
  --background-subm2: #070707;
  --background-subm1: #151515;
  --background-subm05: #1A1A1A;
  --background-root: #1F1F1F;
  --background-subp1: #262626;
  --background-subp2: #30333B;
  --background-subp3: #41444C;
  --background-ccomplementary: #FFFFFF;

  --transparent: transparent;

  --element-default: #FFFFFF;
  --element-subp1: #DBDBDB;
  --element-subp1h: #D1D0D0;
  --element-subp15: #8e8e93;
  --element-subp2: #8FA5B5;
  --element-main: #22B4A5;
  --element-sub: #13978a;
  --element-input: #91959F;
  --element-link: #52F2D5;
  --element-link-light: #a5fded;
  --element-error: #FF190C;
  --element-causion: #ff555e;
  --element-connecting: #52F2D5;
  --element-url: #3C77E5;
  --element-highlight: rgba(244, 183, 65, 0.3);
  --element-disabled: #676C7B;

  --mention-member-background-color: rgba(34, 180, 165, 0.4);
  --mention-member-color: #52F2D5;
  --mention-your-background-color: rgba(244, 183, 65, 0.4);
  --mention-your-color: #F4B741;
  --mention-room-background-color: rgba(60, 119, 229, 0.4);
  --mention-room-color: #56A9D8;

  --search-bar-background-color: transparent;
  --search-bar-placeholder-color: #8e8e93;
  --search-bar-textInputBackground: #30333B;
  --search-bar-text-color: #ffffff;
  --search-bar-selection-color: #2979ff;
  --search-bar-clearIcon-color: #c7c7cc;
  --search-bar-searchIcon-color: #8e8e93;
  --search-bar-textButton-color: #ffffff;

  --skeleton-bone-color: #121212;
  --skeleton-highlight-color: #333333;
}

.theme[data-theme='dark'] {
  --background-most: black;
  --background-player: #070707;
  --background-subm2: #070707;
  --background-subm1: #151515;
  --background-subm05: #1A1A1A;
  --background-root: #1F1F1F;
  --background-subp1: #262626;
  --background-subp2: #30333B;
  --background-subp3: #41444C;
  --background-ccomplementary: #FFFFFF;

  --transparent: transparent;

  --element-default: #FFFFFF;
  --element-subp1: #DBDBDB;
  --element-subp1h: #D1D0D0;
  --element-subp15: #8e8e93;
  --element-subp2: #8FA5B5;
  --element-main: #22B4A5;
  --element-sub: #13978a;
  --element-input: #91959F;
  --element-link: #52F2D5;
  --element-link-light: #a5fded;
  --element-error: #FF190C;
  --element-causion: #ff555e;
  --element-connecting: #52F2D5;
  --element-url: #3C77E5;
  --element-highlight: rgba(244, 183, 65, 0.3);
  --element-disabled: #676C7B;

  --mention-member-background-color: rgba(34, 180, 165, 0.4);
  --mention-member-color: #52F2D5;
  --mention-your-background-color: rgba(244, 183, 65, 0.4);
  --mention-your-color: #F4B741;
  --mention-room-background-color: rgba(60, 119, 229, 0.4);
  --mention-room-color: #56A9D8;

  --search-bar-background-color: transparent;
  --search-bar-placeholder-color: #8e8e93;
  --search-bar-textInputBackground: #30333B;
  --search-bar-text-color: #ffffff;
  --search-bar-selection-color: #2979ff;
  --search-bar-clearIcon-color: #c7c7cc;
  --search-bar-searchIcon-color: #8e8e93;
  --search-bar-textButton-color: #ffffff;

  --skeleton-bone-color: #121212;
  --skeleton-highlight-color: #333333;
}